PUT
/api/admin/webhook
const url = 'https://example.com/api/admin/webhook';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/admin/webhook \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "key": "example" }'Set or rotate the shared webhook key. An empty value clears the override (reverts to config).
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
key
string
Example generated
{ "key": "example"}object
key
string
Example generated
{ "key": "example"}object
key
string
Example generated
{ "key": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
endpointPath
string
key
string
keyConfigured
boolean
source
string
Example generated
{ "endpointPath": "example", "key": "example", "keyConfigured": true, "source": "example"}